Send connection request
curl --request POST \
--url https://inboxapp.com/api/v2/connection-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": {
"type": "thread",
"threadId": "<string>"
},
"note": "<string>"
}
'import requests
url = "https://inboxapp.com/api/v2/connection-requests"
payload = {
"target": {
"type": "thread",
"threadId": "<string>"
},
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: {type: 'thread', threadId: '<string>'}, note: '<string>'})
};
fetch('https://inboxapp.com/api/v2/connection-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboxapp.com/api/v2/connection-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => [
'type' => 'thread',
'threadId' => '<string>'
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://inboxapp.com/api/v2/connection-requests"
payload := strings.NewReader("{\n \"target\": {\n \"type\": \"thread\",\n \"threadId\": \"<string>\"\n },\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://inboxapp.com/api/v2/connection-requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": {\n \"type\": \"thread\",\n \"threadId\": \"<string>\"\n },\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://inboxapp.com/api/v2/connection-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": {\n \"type\": \"thread\",\n \"threadId\": \"<string>\"\n },\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"accountLinkId": "<string>",
"profileId": "<string>",
"note": "<string>"
}{
"code": "invalidRequest",
"message": "<string>",
"details": {
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
},
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformNotAvailable",
"message": "<string>",
"details": {
"platform": "twitter"
},
"requestId": "<string>"
}{
"code": "threadNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "accountLinkDisconnected",
"message": "<string>",
"details": {
"accountLinkId": "<string>",
"status": "active"
},
"requestId": "<string>"
}{
"code": "recipientUnavailable",
"message": "<string>",
"details": {
"reason": "<string>"
},
"requestId": "<string>"
}{
"code": "platformRateLimited",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformError",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformUnavailable",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}Relationships
Send connection request
Invites a profile to connect with the account link. Needs profile:connect.
POST
/
connection-requests
Send connection request
curl --request POST \
--url https://inboxapp.com/api/v2/connection-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": {
"type": "thread",
"threadId": "<string>"
},
"note": "<string>"
}
'import requests
url = "https://inboxapp.com/api/v2/connection-requests"
payload = {
"target": {
"type": "thread",
"threadId": "<string>"
},
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: {type: 'thread', threadId: '<string>'}, note: '<string>'})
};
fetch('https://inboxapp.com/api/v2/connection-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboxapp.com/api/v2/connection-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => [
'type' => 'thread',
'threadId' => '<string>'
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://inboxapp.com/api/v2/connection-requests"
payload := strings.NewReader("{\n \"target\": {\n \"type\": \"thread\",\n \"threadId\": \"<string>\"\n },\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://inboxapp.com/api/v2/connection-requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": {\n \"type\": \"thread\",\n \"threadId\": \"<string>\"\n },\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://inboxapp.com/api/v2/connection-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": {\n \"type\": \"thread\",\n \"threadId\": \"<string>\"\n },\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"accountLinkId": "<string>",
"profileId": "<string>",
"note": "<string>"
}{
"code": "invalidRequest",
"message": "<string>",
"details": {
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
},
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformNotAvailable",
"message": "<string>",
"details": {
"platform": "twitter"
},
"requestId": "<string>"
}{
"code": "threadNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "accountLinkDisconnected",
"message": "<string>",
"details": {
"accountLinkId": "<string>",
"status": "active"
},
"requestId": "<string>"
}{
"code": "recipientUnavailable",
"message": "<string>",
"details": {
"reason": "<string>"
},
"requestId": "<string>"
}{
"code": "platformRateLimited",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformError",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformUnavailable",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}Body
application/json
The profile of an existing one-to-one thread, from the thread's account link.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Up to the platform's limits.connectNoteCharacters. Needs profile:connect:note, and fails with connectionRefused once the account has no notes left.
Minimum string length:
1Was this page helpful?